package cn.ibizlab.codegen.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.Accessors;
import net.ibizsys.model.dataentity.der.IPSDERBase;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
@Accessors(chain = true)
@JsonIgnoreProperties(value = "handler")
public class RelationshipModel {

    private String name;

    private String codeName;

    private String entityName;

    private String entityCodeName;

    private String entityLogicName;

    private String tableName;

    private String entityId;

    private String relationType;

    private IPSDERBase relation;

    private List<FieldModel> fields;

    public RelationshipModel addField(FieldModel obj)
    {
        if(fields==null)
            fields=new ArrayList<>();
        fields.add(obj);
        return this;
    }


    private List<LookupModel> lookup;

    public RelationshipModel addLookup(LookupModel obj)
    {
        if(lookup==null)
            lookup=new ArrayList<>();
        lookup.add(obj);
        return this;
    }


}
